Name:		halibut
Summary:	TeX-like software manual tool
Version:	1.3
Release:	%mkrel 1
License:	MIT
Group:		Text tools
URL:		http://www.chiark.greenend.org.uk/~sgtatham/halibut.html
Source:		https://www.chiark.greenend.org.uk/~sgtatham/%{name}/%{name}-%{version}/%{name}-%{version}.tar.xz

%description
Halibut is yet another text formatting system, intended primarily for
writing software documentation. It accepts a single source format and
outputs a variety of formats, planned to include text, HTML, Texinfo,
Windows Help, Windows HTMLHelp, PostScript and PDF. It has comprehensive
indexing and cross-referencing support, and generates hyperlinks within
output documents wherever possible.


%package	-n vim-halibut
Summary:	Syntax file for the halibut manual tool
Group:		Editors
Requires:	vim-common
BuildArch:	noarch

%description -n vim-halibut
This package provides vim syntax support for Halibut input files (*.but).


%prep
%setup -q


%build
%define _legacy_common_support 1
export CFLAGS="%{optflags}"
%cmake
%cmake_build

%install
%cmake_install
install -d  html
install -d %{buildroot}%{_datadir}/vim/syntax
install -pm 0644 misc/halibut.vim %{buildroot}%{_datadir}/vim/syntax



%files
%doc LICENCE html
%{_bindir}/halibut
%{_mandir}
%{_infodir}

%files -n vim-halibut
%{_datadir}/vim/syntax/*.vim


%changelog
* Sat Jul 09 2022 tex - 1.3-1pclos2022
- new version

* Sun Mar 23 2019 tex 1.2-1pclos2019
- New version: 1.2
